Loading...
Searching...
No Matches
coap_cache_entry_t Struct Reference
Libcoap Internal API » Cache Support

`#include <coap_cache_internal.h>`

Collaboration diagram for coap_cache_entry_t:
[legend]

## Data Fields

UT_hash_handle | hh
coap_cache_key_t * | cache_key
coap_session_t * | session
coap_pdu_t * | pdu
void * | app_data
coap_tick_t | expire_ticks
unsigned int | idle_timeout
coap_cache_app_data_free_callback_t | callback

## Detailed Description

Definition at line 41 of file coap_cache_internal.h.

## Field Documentation

## app_data

void* coap_cache_entry_t::app_data

Definition at line 46 of file coap_cache_internal.h.

## cache_key

coap_cache_key_t* coap_cache_entry_t::cache_key

Definition at line 43 of file coap_cache_internal.h.

## callback

coap_cache_app_data_free_callback_t coap_cache_entry_t::callback

Definition at line 49 of file coap_cache_internal.h.

## expire_ticks

coap_tick_t coap_cache_entry_t::expire_ticks

Definition at line 47 of file coap_cache_internal.h.

## hh

UT_hash_handle coap_cache_entry_t::hh

Definition at line 42 of file coap_cache_internal.h.

## idle_timeout

unsigned int coap_cache_entry_t::idle_timeout

Definition at line 48 of file coap_cache_internal.h.

## pdu

coap_pdu_t* coap_cache_entry_t::pdu

Definition at line 45 of file coap_cache_internal.h.

## session

coap_session_t* coap_cache_entry_t::session

Definition at line 44 of file coap_cache_internal.h.

The documentation for this struct was generated from the following file:

- coap_cache_internal.h